Множественные уязвимости в контроллерах Honeywell FALCON XLWeb

Дата публикации:
05.08.2014
Дата изменения:
05.08.2014
Всего просмотров:
1093
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:OF/RC:C) = Base:7.5/Temporal:5.5
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:5/Temporal:3.7
CVE ID:
CVE-2014-2717
CVE-2014-3110
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Honeywell FALCON Controllers 2.x
Уязвимые версии:
FALCON Linux 2.04.01, возможно более ранние версии
FALCON XLWebExe 2.02.11, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за того, что приложение неправильно ограничивает доступ к странице смены пароля. Удаленный пользователь может получить доступ к таким данным, как хеши паролей пользователей, их логины и т.п.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Решение: Установите последнюю версию с сайта производителя.



Ссылки: http://ics-cert.us-cert.gov/advisories/ICSA-14-175-01